Package de.gebit.integrity.runner.results

## Class SuiteResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.SuiteSummaryResult
    - - de.gebit.integrity.runner.results.SuiteResult

-     public class SuiteResult
      extends SuiteSummaryResult

  Result of a suite call.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuiteResult​(Map<SuiteStatementWithResult,​List<? extends Result>> someStatementResults, Map<SuiteDefinition,​Result> someSetupResults, Map<SuiteDefinition,​Result> someTearDownResults, Long anExecutionTime)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<SuiteStatementWithResult,​List<? extends Result>>` | `getResults()` |
    `Map<SuiteDefinition,​Result>` | `getSetupResults()` |
    `Map<SuiteDefinition,​Result>` | `getTearDownResults()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.SuiteSummaryResult

      `getCallExceptionCount, getExceptionCount, getTestExceptionCount, getTestFailCount, getTestSuccessCount, setResultCounts`

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuiteResult

          public SuiteResult​(Map<SuiteStatementWithResult,​List<? extends Result>> someStatementResults,
                             Map<SuiteDefinition,​Result> someSetupResults,
                             Map<SuiteDefinition,​Result> someTearDownResults,
                             Long anExecutionTime)

      Creates a new instance.
      Parameters:
        `someStatementResults` - map of statements to results
        `someSetupResults` - map of setup suites to results
        `someTearDownResults` - map of teardown suites to results
        `anExecutionTime` - the total time to execute the whole suite

  - ### Method Detail

    - #### getResults

          public Map<SuiteStatementWithResult,​List<? extends Result>> getResults()

    - #### getSetupResults

          public Map<SuiteDefinition,​Result> getSetupResults()

    - #### getTearDownResults

          public Map<SuiteDefinition,​Result> getTearDownResults()